<template>
  <div class="mt-page-title" :style="style">
    <nuxt-link v-if="!validation" :to="linkTo">
      <mt-page-title-content :link-text="linkText"></mt-page-title-content>
    </nuxt-link>
    <div v-else class="cursor-as-pointer" @click="ouvert = true">
      <mt-page-title-content :link-text="linkText"></mt-page-title-content>
    </div>
    <slot></slot>
    <hr v-if="withBorder" />
    <mt-modal-poursuivre-quitter :ouvert.sync="ouvert" :link-to="linkTo"></mt-modal-poursuivre-quitter>
  </div>
</template>

<script>
import MtModalPoursuivreQuitter from '~/components/modal/mt-modal-poursuivre-quitter';
import MtPageTitleContent from '~/components/base/page-title/page-title-content';

export default {
  name: 'MtPageTitle',
  components: { MtPageTitleContent, MtModalPoursuivreQuitter },
  props: {
    validation: Boolean,
    linkText: {
      type: String,
      default: () => "Retour à l'accueil",
    },
    linkTo: {
      type: Object,
      default: () => ({ name: 'index' }),
    },
    withBorder: {
      type: Boolean,
      default: true,
    },
    borderStyle: {
      type: String,
      default: () => '',
    },
    withPadding: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      ouvert: false,
    };
  },
  computed: {
    style() {
      let style;
      if (this.withPadding && !this.borderStyle) {
        style = 'padding : 1.5rem 3rem';
      } else if (this.borderStyle) {
        style = this.borderStyle;
      }
      return style;
    },
  },
};
</script>

<style scoped lang="scss">
.mt-link-back {
  margin-bottom: 0.25rem;
  text-transform: uppercase;
}
.mt-page-title {
  margin-top: 1rem;
}
hr {
  margin: 0.75rem 0;
}
</style>
